Bug 450433 - icon description becomes barely readable (anti aliased) with small zoom
icon description becomes barely readable (anti aliased) with small zoom
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-08 06:26 EDT by Stefan Jensen
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:34:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Nautilus Folder symbol view (65.43 KB, image/png)
2008-06-08 06:29 EDT, Stefan Jensen
no flags Details
Nautilus list view (98.50 KB, image/png)
2008-06-08 06:30 EDT, Stefan Jensen
no flags Details

  None (edit)
Description Stefan Jensen 2008-06-08 06:26:24 EDT
Description of problem:

A request for better behavior when using small fonts sizes and very small
zooming in nautilus.

I'm using nautilus with zoom 50% on icon view and 25% on list view.
I use the font "Sans" size "8" (gnome-appearance-properties), which gives
me a very clear,sharp and good looking desktop. (freetype with bytecode, lcd
subpixel rendering and full hinting)

But nautilus seems to make some extra zooming and aliasing to the font on the
icon view of a folder. With this the icon description becomes nearly unreadable. 

This happend not to the list view. Please reefer to the attached screenshots,
and happens, even if i assign "antialias false" in my ~/.fonts.conf

The list view is fine for that setup, please see the other screenshot.
No big aliasing at all. Also the display of the icons in the left window (tree
view)  seems slightly zoomed. It maybe should look like the list view in the
right window.

Version-Release number of selected component (if applicable):

nautilus-search-tool-0.2.2-1.fc8
nautilus-python-0.4.3-4.fc7
nautilus-2.20.0-9.fc8
nautilus-share-0.7.2-12.fc8
nautilus-actions-1.4.1-2.fc8
gnome-mount-nautilus-properties-0.7-1.fc8
nautilus-sendto-0.14.0-1.fc8
nautilus-image-converter-0.2.0-1.fc8
gnome-python2-nautilus-cd-burner-2.20.0-1.fc8
nautilus-flac-converter-0.0.2-9.fc8
nautilus-extensions-2.20.0-9.fc8
nautilus-cd-burner-2.20.0-1.fc8
nautilus-open-terminal-0.8-2.fc8

How reproducible:

Always

Steps to Reproduce:

1. check "gnome-appearance-properties" to use "Sans" size "8"
2. check nautilus "symbol view" 50% and "list view" 25%
3. display some folders with nautilus
  
Actual results:

icons descr. (text) is always a little smaller than configured and becomes
unreadable in "icon view mode".
icons (tree view left window) are slightly zoomed and unclear.

Expected results:

sharp icons and clear description text on all nautilus windows.

best regards
Comment 1 Stefan Jensen 2008-06-08 06:29:44 EDT
Created attachment 308650 [details]
Nautilus Folder symbol view
Comment 2 Stefan Jensen 2008-06-08 06:30:53 EDT
Created attachment 308651 [details]
Nautilus list view
Comment 3 Stefan Jensen 2008-06-08 09:10:02 EDT
I have to correct me a little bit:

> and happens, even if i assign "antialias false" in my ~/.fonts.conf

This is NOT true, nautilus respect the antialias setting for the small font
after X restart.

But the font is the right windows (icon view) is still one size smaller than
configured with "gnome-appearance-properties".

Thanks
 
Comment 4 Bug Zapper 2008-11-26 05:50:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:34:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.